<?php

class DZSEnableDebug {
  public $db_main_options = '';
  public $index = 0;
  public $base_url;
  public $shortcode = 'advancedtabs';
  public $alwaysembed = 'off';
  public $pluginmode = "plugin";
  public $lastskin = '';
  private $can_session = true;
  public $capability_admin = 'manage_options';
  private $adminpagename_mainoptions = 'dzsedg-mo';
  private $dbname_main_options = 'dzsedg-mo';

  function __construct() {
    $this->base_url = plugins_url('', __FILE__) . '/';

    if (function_exists('session_status') && function_exists('session_start')) {


      if (!headers_sent() && session_status() == PHP_SESSION_NONE) {
        session_start();
      }
    } else {
      $this->can_session = false;
    }


    add_action('init', array($this, 'handle_init'));
    add_action('admin_menu', array($this, 'handle_admin_menu'));


    $db_main_options_default = array(
      'debug_enabled' => false,
      'debug_enabled_config' => false,
      'debug_enabled_display' => false,
      'memory_1024' => false,
      'memory_128' => false,
      'max_input_vars_5000' => false,
      'max_execution_time_30' => false,
      'allow_url_fopen' => false,
      'old_limit' => '', // -- the old wp memory limit
    );

    $this->db_main_options = get_option($this->dbname_main_options);

    if (is_array($this->db_main_options) == false) {
      $this->db_main_options = array();
    }

    $this->db_main_options = array_merge($db_main_options_default, $this->db_main_options);

//        print_r($db_main_options);


    $this->check_posts();

    if ($this->db_main_options['max_execution_time_30']) {

      @ini_set('max_execution_time', '31');
    }

    if ($this->db_main_options['max_input_vars_5000']) {

//            echo 'whattt';
      @ini_set('max_input_vars', 5000);
    }

    if ($this->db_main_options['allow_url_fopen']) {

      @ini_set('allow_url_fopen', true);
    }
    if ($this->db_main_options['debug_enabled_display']) {

//            @ini_set('allow_url_fopen', true);

      @ini_set('display_errors', 'On');
      @ini_set('display_errors_startup', 'On');
    }

  }

  function generate_token($id = '') {


    if (!isset($_SESSION[$id])) {
      $token_id = md5(substr(str_shuffle("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"), 0, 10));
      $_SESSION[$id] = $token_id;
      return $_SESSION[$id];
    }
    return $_SESSION[$id];
  }


  function check_posts() {
    $base = dirname(dirname(dirname(dirname(__FILE__))));
    $base_content = (dirname(dirname(dirname(__FILE__))));


    $file_cont = '';


    $wp_debug_path = $base . '/wp-config.php';
    if (file_exists($wp_debug_path)) {
      $file_cont = file_get_contents($wp_debug_path);
    }


    $log_path = $base_content . '/debug.log';
//        print_r($_POST);


    if (isset($_GET['action']) && $_GET['action'] == 'download_debug_data') {

      header('Content-Type: text/txt');

// It will be called downloaded.pdf
      header('Content-Disposition: attachment; filename="log.log"');

// The PDF source is in original.pdf
      if (file_exists($log_path)) {
        readfile($log_path);
      }
      die();
    }


    if (isset($_GET['action']) && $_GET['action'] == 'delete_debug_data') {


      if (file_exists($log_path)) {
        unlink($log_path);
      }

    }


    if ($this->db_main_options['debug_enabled']) {

//            if(defined("WP_DEBUG")==false){
//                define('WP_DEBUG', true);
////            define('WP_DEBUG', 'alceva');
//                define('WP_DEBUG_LOG', true);
//                define('WP_DEBUG_DISPLAY', false);
//            }


//            echo 'hmm';
    } else {

      if (defined("WP_DEBUG") == false) {
//                define('WP_DEBUG', false);
      }


    }


    if (isset($_POST['action'])) {

      $nonce_lab = 'nonce_dzsedg';

      if (isset($_POST[$nonce_lab])) {
        if ($this->can_session == false || isset($_SESSION[$nonce_lab]) && $_POST[$nonce_lab] == $_SESSION[$nonce_lab]) {


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_debug') {


//                        define('WP_DEBUG', true);
//                        define('WP_DEBUG_LOG', true);
//                        define('WP_DEBUG_DISPLAY', false);


            ini_set('display_errors', 0);
            ini_set('log_errors', 1);
            ini_set('error_log', dirname(dirname(dirname(__FILE__))) . '/debug.log');
            ini_set('error_reporting', E_ALL ^ E_NOTICE);


            $this->db_main_options['debug_enabled'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_debug') {

//                        define('WP_DEBUG', false);


            ini_set('display_errors', 0);
            ini_set('log_errors', 0);

            $this->db_main_options['debug_enabled'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_debug_display') {

//                        define('WP_DEBUG', false);


            ini_set('display_errors', 0);
            ini_set('log_errors', 0);

            $this->db_main_options['debug_enabled_display'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_debug_display') {

//                        define('WP_DEBUG', false);


//                        ini_set('display_errors', 0);
//                        ini_set('log_errors', 0);

            $this->db_main_options['debug_enabled_display'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_debug_config') {


            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_DEBUG['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_DEBUG['|\"].*?,.*?)(.*?)\)/", "$1true)", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_DEBUG\', true); require_once', $file_cont);
              }


              preg_match_all("/define\(.*?['|\"]WP_DEBUG_LOG['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_DEBUG_LOG['|\"].*?,.*?)(.*?)\)/", "$1true)", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_DEBUG_LOG\', true); require_once', $file_cont);
              }


              preg_match_all("/define\(.*?['|\"]WP_DEBUG_DISPLAY['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_DEBUG_DISPLAY['|\"].*?,.*?)(.*?)\)/", "$1false)", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_DEBUG_DISPLAY\', false); require_once', $file_cont);
              }
            }


            echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm");


            $this->db_main_options['debug_enabled_config'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_debug_config') {


            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_DEBUG['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);

//                print_r($output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_DEBUG['|\"].*?,.*?)(.*?)\)/", "$1false)", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_DEBUG\', false); require_once', $file_cont);
              }


            }


//                        echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm disabled");

            $this->db_main_options['debug_enabled_config'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_memory_1024') {


            @ini_set('memory_limit', '1024M');
            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?)(.*?)\)/", "$1'1024M')", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_MEMORY_LIMIT\', "1024M"); require_once', $file_cont);
              }


            }


            echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm");


            $this->db_main_options['memory_1024'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_memory_1024') {


            @ini_set('memory_limit', '512M');


            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);

//                print_r($output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?)(.*?)\)/", "$1'512M')", $file_cont);
              } else {
                $file_cont = str_replace('require_once', ' define(\'WP_MEMORY_LIMIT\', \'512M\'); require_once', $file_cont);
              }


            }


//                        echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm disabled memory 1024");

            $this->db_main_options['memory_1024'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_memory_128') {


            @ini_set('memory_limit', '128M');
            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?)(.*?)\)/", "$1'128M')", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_MEMORY_LIMIT\', "128M"); require_once', $file_cont);
              }


            }


            echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm");


            $this->db_main_options['memory_128'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_max_execution_time_30') {


            @ini_set('max_execution_time', '31');


            error_log("Hmm");


            $this->db_main_options['max_execution_time_30'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }
          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_max_input_vars_5000') {


            @ini_set('max_input_vars', 5000);


            $f = fopen(dirname(dirname(dirname(dirname(__FILE__)))) . '/.htaccess', "a+");
            fwrite($f, '
php_value max_input_vars 5001
php_value suhosin.get.max_vars 5001
php_value suhosin.post.max_vars 5001
php_value suhosin.request.max_vars 5001');
            fclose($f);

            error_log("Hmm");


            $this->db_main_options['max_input_vars_5000'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_enable_allow_url_fopen') {


            @ini_set('allow_url_fopen', true);


            error_log("Hmm");


            $this->db_main_options['allow_url_fopen'] = true;
            update_option($this->dbname_main_options, $this->db_main_options);

          }

          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_allow_url_fopen') {


            error_log("Hmm");


            $this->db_main_options['allow_url_fopen'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_max_execution_time_30') {


            error_log("Hmm");


            $this->db_main_options['max_execution_time_30'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_max_input_vars_5000') {


            error_log("Hmm");


            $this->db_main_options['max_input_vars_5000'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


          if (isset($_POST['action']) && $_POST['action'] == 'dzsedg_disable_memory_128') {


            @ini_set('memory_limit', '512M');


            if ($file_cont) {

              preg_match_all("/define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?(.*?)\)/", $file_cont, $output_array);

//                print_r($output_array);


              if (count($output_array[0])) {
                $file_cont = preg_replace("/(define\(.*?['|\"]WP_MEMORY_LIMIT['|\"].*?,.*?)(.*?)\)/", "$1'512M')", $file_cont);
              } else {


                $file_cont = str_replace('require_once', ' define(\'WP_MEMORY_LIMIT\', \'512M\'); require_once', $file_cont);
              }


            }


//                        echo $file_cont;


            file_put_contents($wp_debug_path, $file_cont);

            error_log("Hmm disabled memory 128");

            $this->db_main_options['memory_128'] = false;
            update_option($this->dbname_main_options, $this->db_main_options);

          }


        } else {
          echo('nonce not correct');
        }
      }
    }

//            print_r($_POST);
//            print_r($_SESSION);
  }


  function handle_init() {
    wp_enqueue_script('jquery');

    if (is_admin()) {
      if (current_user_can('edit_posts') || current_user_can('edit_pages')) {
        if (get_user_option('rich_editing') == 'true') {
        }
      }

      if (isset($_GET['page']) && $_GET['page'] == $this->adminpagename_mainoptions) {
        wp_enqueue_script('dzsedg-mo', $this->base_url . 'assets/admin-mo.js');
      }
    }

  }

  function handle_admin_head() {


  }


  function handle_admin_menu() {


    $admin_cap = $this->capability_admin;
    $dzsvcs_page = add_management_page(__('Debug ', 'dzsedg'), __('Debug', 'dzsedg'), $admin_cap, $this->adminpagename_mainoptions, array($this, 'admin_page_mainoptions'), 5);

  }

  function admin_page_mainoptions() {

    ?>



    <div class="wrap wrap-for-dzsedg-mo">
    <h2><?php echo __('Debug Settings', 'dzsvg'); ?></h2>
    <br/>


    <p><?php echo '<a class="button-secondary" href="?action=download_debug_data">' . __("Download Debug Data") . '</a>'; ?></p>

    <p><?php echo '<a class="button-secondary delete-debug-data" href="?action=delete_debug_data">' . __("Delete Debug Data") . '</a>'; ?></p>

    <br>
    <br>

    <h4><?php echo __("Enable Debug"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['debug_enabled']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_debug">' . __("Disable Debug") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_debug">' . __("Enable Debug") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      $nonce_lab = 'nonce_dzsedg';
      $nonce = wp_create_nonce($nonce_lab);
      $_SESSION[$nonce_lab] = $nonce;
      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>

    <h4><?php echo __("Enable Debug From Config"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['debug_enabled_config']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_debug_config">' . __("Disable Debug") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_debug_config">' . __("Enable Debug") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>

    <h4><?php echo __("Enable Debug From Config"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['debug_enabled_display']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_debug_display">' . __("Disable Error Display") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_debug_display">' . __("Enable Error Display") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>


    <h4><?php echo __("Enable 1024M Memory Limit"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['memory_1024']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_memory_1024">' . __("Disable 1G Memory Limit") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_memory_1024">' . __("Enable 1G Memory Limit") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>
    <h4><?php echo __("Enable 128M Memory Limit"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['memory_128']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_memory_128">' . __("Disable 128M Memory Limit") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_memory_128">' . __("Enable 128M Memory Limit") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>
    <h4><?php echo __("Enable 30 sec max execution time"); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['max_execution_time_30']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_max_execution_time_30">' . __("Disable Max. Execution Time 30") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_max_execution_time_30">' . __("Enable Max. Execution Time 30") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>

    <?php

    /*


    php_value max_input_vars 3000
php_value suhosin.get.max_vars 3000
php_value suhosin.post.max_vars 3000
php_value suhosin.request.max_vars 3000








    <h4><?php echo __("Enable 5000 max input vars"); ?></h4>
    <form class="mainsettings" method="POST">
        <?php




        if($this->db_main_options['max_input_vars_5000']){

            echo '<button class="button-primary" name="action" value="dzsedg_disable_max_input_vars_5000">'.__("Disable max_input_vars_5000").'</button>';
        }else{
            echo '<button class="button-primary" name="action" value="dzsedg_enable_max_input_vars_5000">'.__("Enable max_input_vars_5000").'</button>';
        }



        //        file_get_contents(dirname(__FILE)

        //        error_log("JUST TESTING");

        ?>
        <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>" value="<?php echo $nonce; ?>" />
    </form>




    */
    ?>
    <h4><?php echo __("Force Allow FURL Open ( file_get_contents ) "); ?></h4>
    <form class="mainsettings" method="POST">
      <?php


      if ($this->db_main_options['allow_url_fopen']) {

        echo '<button class="button-primary" name="action" value="dzsedg_disable_allow_url_fopen">' . __("Disable file_get_contents") . '</button>';
      } else {
        echo '<button class="button-primary" name="action" value="dzsedg_enable_allow_url_fopen">' . __("Enable file_get_contents") . '</button>';
      }


      //        file_get_contents(dirname(__FILE)

      //        error_log("JUST TESTING");

      ?>
      <input type="hidden" id="<?php echo $nonce_lab; ?>" name="<?php echo $nonce_lab; ?>"
             value="<?php echo $nonce; ?>"/>
    </form>
    <br>
    <h3><?php echo __("System Summary"); ?></h3>
    <p><strong><?php echo __("WP Memory") ?>:</strong>

      <?php
      $memory = $this->wc_let_to_num(WP_MEMORY_LIMIT);

      if (function_exists('memory_get_usage')) {
        $system_memory = $this->wc_let_to_num(@ini_get('memory_limit'));
        $memory = max($memory, $system_memory);
      }

      if ($memory < 67108864) {
        echo '<mark class="error"><span class="dashicons dashicons-warning"></span> ' . sprintf(__('%s - We recommend setting memory to at least 64MB. See: %s', 'woocommerce'), size_format($memory), '<a href="https://codex.wordpress.org/Editing_wp-config.php#Increasing_memory_allocated_to_PHP" target="_blank">' . __('Increasing memory allocated to PHP', 'woocommerce') . '</a>') . '</mark>';
      } else {
        echo '<mark class="yes">' . size_format($memory) . '</mark>';
      }
      ?>
    </p>
    <p><strong><?php echo __("Max Execution Time") ?>:</strong>

      <?php
      $system_memory = @ini_get('max_execution_time');
      $system_memory = intval($system_memory);


      if ($system_memory < 10) {
        echo '<mark class="error">' . ($system_memory) . '</mark>';

      } else {
        echo '<mark class="yes">' . ($system_memory) . '</mark>';
      }
      ?>
    </p>
    <p><strong><?php echo __("PHP Memory") ?>:</strong>

      <?php
      $system_memory = $this->wc_let_to_num(@ini_get('memory_limit'));


      if ($memory < 67108864) {
        echo '<mark class="error"><span class="dashicons dashicons-warning"></span> ' . sprintf(__('%s - We recommend setting memory to at least 64MB. See: %s', 'woocommerce'), size_format($system_memory), '<a href="https://codex.wordpress.org/Editing_wp-config.php#Increasing_memory_allocated_to_PHP" target="_blank">' . __('Increasing memory allocated to PHP', 'woocommerce') . '</a>') . '</mark>';
      } else {
        echo '<mark class="yes">' . size_format($system_memory) . '</mark>';
      }
      ?>
    </p>
    <p><strong><?php echo __("Max Input Vars") ?>:</strong>

      <?php
      $system_memory = (@ini_get('max_input_vars'));


      if ($system_memory < 1000) {
        echo '<mark class="error"><span class="dashicons dashicons-warning"></span> ' . sprintf(__('%s - We recommend setting memory to at least 1000. See: %s', 'woocommerce'), '<a href="https://www.prestashop.com/forums/topic/235573-max-input-vars-1000-solved/" target="_blank">' . __('Increase Max Input Vars', 'dzsedg') . '</a>') . '</mark>';
      } else {
        echo '<mark class="yes">' . ($system_memory) . '</mark>';
      }
      ?>
    </p>
    <p><strong><?php echo __("WP Debug Mode") ?>:</strong>


      <?php if (defined('WP_DEBUG') && WP_DEBUG) : ?>
        <mark class="yes"><span class="dashicons dashicons-yes"></span></mark>
      <?php else : ?>
        <mark class="no">&ndash;</mark>
      <?php endif; ?>

    </p>
    <p><strong><?php echo __("Allow File Get Contents") ?>:</strong>


      <?php if (ini_get('allow_url_fopen')) : ?>
        <mark class="yes"><span class="dashicons dashicons-yes"></span></mark>
      <?php else : ?>
        <mark class="no">&ndash;</mark>
      <?php endif; ?>

    </p>
    <p><strong><?php echo __("Curl Support") ?>:</strong>


      <?php if (function_exists('curl_version')) : ?>
        <mark class="yes"><span class="dashicons dashicons-yes"></span></mark>
      <?php else : ?>
        <mark class="no">&ndash;</mark>
      <?php endif; ?>

    </p>
    <p><strong><?php echo __("current working dir") ?>:</strong>


      <mark class="yes"><?php echo getcwd(); ?></mark>


    </p>
    <?php
  }


  /**
   * let_to_num function.
   *
   * This function transforms the php.ini notation for numbers (like '2M') to an integer.
   *
   * @param $size
   * @return int
   */
  function wc_let_to_num($size) {
    $l = substr($size, -1);
    $ret = substr($size, 0, -1);
    switch (strtoupper($l)) {
      case 'P':
        $ret *= 1024;
      case 'T':
        $ret *= 1024;
      case 'G':
        $ret *= 1024;
      case 'M':
        $ret *= 1024;
      case 'K':
        $ret *= 1024;
    }
    return $ret;
  }


}